GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Enumerations | Functions
transport.h File Reference
`#include <stddef.h>`
`#include "src/core/iomgr/pollset.h"`
`#include "src/core/iomgr/pollset_set.h"`
`#include "src/core/transport/stream_op.h"`
`#include "src/core/channel/context.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_transport_stream_op
struct | grpc_transport_op
| Transport op: a set of operations to perform on a transport as a whole. More...

## Typedefs
typedef struct grpc_transport | grpc_transport
typedef struct grpc_stream | grpc_stream
typedef enum grpc_stream_state | grpc_stream_state
typedef struct grpc_transport_stream_op | grpc_transport_stream_op
typedef struct grpc_transport_op | grpc_transport_op
| Transport op: a set of operations to perform on a transport as a whole. More...

## Enumerations
enum | grpc_stream_state { GRPC_STREAM_OPEN, GRPC_STREAM_SEND_CLOSED, GRPC_STREAM_RECV_CLOSED, GRPC_STREAM_CLOSED }

## Functions
size_t | grpc_transport_stream_size (grpc_transport *transport)
int | grpc_transport_init_stream (grpc_transport *transport, grpc_stream *stream, const void *server_data, grpc_transport_stream_op *initial_op)
void | grpc_transport_destroy_stream (grpc_transport *transport, grpc_stream *stream)
void | grpc_transport_stream_op_finish_with_failure (grpc_transport_stream_op *op)
void | grpc_transport_stream_op_add_cancellation (grpc_transport_stream_op *op, grpc_status_code status, grpc_mdstr *message)
char * | grpc_transport_stream_op_string (grpc_transport_stream_op *op)
void | grpc_transport_perform_stream_op (grpc_transport *transport, grpc_stream *stream, grpc_transport_stream_op *op)
void | grpc_transport_perform_op (grpc_transport *transport, grpc_transport_op *op)
void | grpc_transport_ping (grpc_transport *transport, grpc_iomgr_closure *cb)
void | grpc_transport_goaway (grpc_transport *transport, grpc_status_code status, gpr_slice debug_data)
void | grpc_transport_close (grpc_transport *transport)
void | grpc_transport_destroy (grpc_transport *transport)
char * | grpc_transport_get_peer (grpc_transport *transport)

## Typedef Documentation

typedef struct grpc_stream grpc_stream

typedef enum grpc_stream_state grpc_stream_state

typedef struct grpc_transport grpc_transport

typedef struct grpc_transport_op grpc_transport_op

Transport op: a set of operations to perform on a transport as a whole.

typedef struct grpc_transport_stream_op grpc_transport_stream_op

## Enumeration Type Documentation

enum grpc_stream_state

Enumerator
GRPC_STREAM_OPEN |
GRPC_STREAM_SEND_CLOSED |
GRPC_STREAM_RECV_CLOSED |
GRPC_STREAM_CLOSED |

## Function Documentation

void grpc_transport_close | ( | grpc_transport * | transport | ) |

void grpc_transport_destroy | ( | grpc_transport * | transport | ) |

void grpc_transport_destroy_stream | ( | grpc_transport * | transport,
|  | grpc_stream * | stream
| ) |  |

char* grpc_transport_get_peer | ( | grpc_transport * | transport | ) |

void grpc_transport_goaway | ( | grpc_transport * | transport,
|  | grpc_status_code | status,
|  | gpr_slice | debug_data
| ) |  |

int grpc_transport_init_stream | ( | grpc_transport * | transport,
|  | grpc_stream * | stream,
|  | const void * | server_data,
|  | grpc_transport_stream_op * | initial_op
| ) |  |

void grpc_transport_perform_op | ( | grpc_transport * | transport,
|  | grpc_transport_op * | op
| ) |  |

void grpc_transport_perform_stream_op | ( | grpc_transport * | transport,
|  | grpc_stream * | stream,
|  | grpc_transport_stream_op * | op
| ) |  |

void grpc_transport_ping | ( | grpc_transport * | transport,
|  | grpc_iomgr_closure * | cb
| ) |  |

void grpc_transport_stream_op_add_cancellation | ( | grpc_transport_stream_op * | op,
|  | grpc_status_code | status,
|  | grpc_mdstr * | message
| ) |  |

void grpc_transport_stream_op_finish_with_failure | ( | grpc_transport_stream_op * | op | ) |

char* grpc_transport_stream_op_string | ( | grpc_transport_stream_op * | op | ) |

size_t grpc_transport_stream_size | ( | grpc_transport * | transport | ) |